Description

Builds of foreman-selinux are failing on Fedora 24 with:

+ make clean all NAME=targeted DISTRO=fedora24 VERSION=1.14.0 INSTPREFIX=/builddir/build/BUILDROOT

/foreman-selinux-1.14.0-0.develop.201611140304git2f2a5c3.fc24.noarch

Makefile:18: *** *** Interface docker.if not present, cannot continue ***.  Stop.

 I think this is since the following update hit updates-testing: 

https://bodhi.fedoraproject.org/updates/?builds=selinux-policy-3.13.1-191.20.fc24 (vs .19.fc24). docker.if has been renamed to

container.if as part of the changes described at docker-selinux changed to container-selinux

Associated revisions

Revision d21fad51 - 11/24/2016 06:13 AM - Dominic Cleal

fixes #17324 - set has_docker when container.if is found

History

#1 - 11/14/2016 04:01 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman-selinux/pull/64 added

#2 - 11/24/2016 07:02 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d21fad515000e727231a7bacf74158ea376a4dd4.
